using Microsoft.VisualStudio.Modeling.Validation;

namespace ImTryin.StateMachineDesigner.DomainModel
{
    [ValidationState( ValidationState.Enabled )]
    public partial class FinalState
    {
        [ValidationMethod( ValidationCategory.Menu | ValidationCategory.Open | ValidationCategory.Save )]
        private void ValidateFinalState( ValidationContext context )
        {
            if ( 0 < TransitionTo.Count )
                context.LogError( "Final State has outgoing Transition(s)", "FinalStateOutgoing", this );
        }
    }
}