using Microsoft.VisualStudio.Modeling.Validation;

namespace ImTryin.StateMachineDesigner.DomainModel
{
    [ValidationState( ValidationState.Enabled )]
    public partial class Transition
    {
        [ValidationMethod( ValidationCategory.Menu | ValidationCategory.Open | ValidationCategory.Save )]
        private void ValidateTransition( ValidationContext context )
        {
            if ( TransitionFrom is StartState )
            {
                if ( "" != Trigger )
                    context.LogError( "Transition from Start State cannot be triggered", "TransitionWrong", this );
            }
            else
            {
                if ( "" == Trigger )
                    context.LogError( "Transition must be triggered", "TransitionWrong", this );
            }
/*
            if ( !Validation.Artefacts.CheckEvent( this.Trigger, this.TransitionFrom.StateMachine ) )
                context.LogError( "Transition trigger isn't valid", "TransitionWrong", this );

            if ( !Validation.Artefacts.CheckParams( this.EventParams, this.TransitionFrom.StateMachine ) )
                context.LogError( "Transition trigger parameters aren't valid", "TransitionWrong", this );

            if ( !Validation.Artefacts.CheckCondition( this.Guard, this.TransitionFrom.StateMachine ) )
                context.LogError( "Transition guarg isn't valid", "TransitionWrong", this );

            if ( !Validation.Artefacts.CheckStatement( this.Activity, this.TransitionFrom.StateMachine ) )
                context.LogError( "Transition activity isn't valid", "TransitionWrong", this );
*/
        }
    }
}