using Microsoft.VisualStudio.Modeling.Validation;

namespace ImTryin.StateMachineDesigner.DomainModel
{
    [ValidationState( ValidationState.Enabled )]
    public partial class StartState
    {
        [ValidationMethod( ValidationCategory.Menu | ValidationCategory.Open | ValidationCategory.Save )]
        private void ValidateStartState( ValidationContext context )
        {
            if ( 0 < TransitionFrom.Count )
                context.LogError( "Start State can't have incoming Transitions", "StartStateIncoming", this );
        }
    }
}